/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.settings.dialog.component;

import java.awt.Component;

import settings.SettingsLoadable;


public abstract class SettingsComponent implements SettingsLoadable {
	protected boolean enabled;

	public void setEnabled(boolean enabled) {
		this.enabled = enabled;
	}
	
	public abstract Component getComponent();
}
