package gui.util.combobox;

import javax.swing.DefaultComboBoxModel;

public class VComboBoxModel<V> extends DefaultComboBoxModel<ComboBoxValue<V>>{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7689591425981647018L;

	
	public void addElement(String disp,V val) {
		addElement(new ComboBoxValue<>(disp, val));
	}
	
	
	public String getSelectedValuesText() {
		return getSelectedItem().toString();
	}
	
	
	@SuppressWarnings({ "unchecked", "rawtypes" })
	public V getSelectedValue() {
		return (V) ((ComboBoxValue)getSelectedItem()).getValue2();
	}
	
	public V getValueAt(int index) {
		return getElementAt(index).getValue2();
	}
	
	public String getTextAt(int index) {
		return getElementAt(index).getValue1();
	}
	
	
	public void setSelectedItemByValue(V value) {
		for (int i=0;i<getSize();i++) {
			ComboBoxValue<V> cbVal=getElementAt(i);
			if (cbVal.getValue2().equals(value)) {
				setSelectedItem(cbVal);
			}
		}
		
	}
}
